Skip to main content
GET
List API keys for a service account

Authorizations

X-API-Key
string
header
required

API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY

Example:

Authorization
string
header
required

JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN

Example:

Path Parameters

service_account_id
string<uuid>
required

UUID of the service account to list API keys for

Query Parameters

offset
integer
default:0

Number of records to skip for pagination

Required range: x >= 0
limit
integer
default:100

Maximum number of records to return

Required range: 1 <= x <= 1000

Response

List of API keys retrieved successfully

created_at
string<date-time>
required
id
string<uuid>
required
modified_by
string
required
name
string
required

Human-readable name for this API key.

Maximum string length: 255
Example:

"API Key"

organization_id
string<uuid>
required

UUID of the organization this API key belongs to.

Example:

"550e8400-e29b-41d4-a716-446655440000"

token_prefix
string
required

Prefix of the authentication token for display purposes. Full token is only shown once during creation.

Maximum string length: 40
Example:

"saf_org_550e8400_abc123"

updated_at
string<date-time>
required
description
string | null

Optional description explaining the purpose and usage of this API key.

Example:

"API key for external integrations"

service_account_id
string<uuid> | null

UUID of the service account this API key belongs to. NULL for user keys.

Example:

"550e8400-e29b-41d4-a716-446655440000"

user_id
string<uuid> | null

UUID of the user this API key belongs to. NULL for service account keys.

Example:

"550e8400-e29b-41d4-a716-446655440000"